{% import 'AppBundle:Macros:macros.html.twig' as this %}

<div><small>Vote du {{ votation.date|date('d/m/Y') }} au {{ votation.endDate|date('d/m/Y') }} - {{ votation.status }}</small></div>
{#<div class="description container-fluid">{{ votation.title }}  - <span class="badge">{{ votation.referedProposals | length }} propositions</span></h1></div>#}
<div class="description container-fluid">{{ votation.content|raw }}</div>
<div>
    {{ form_start(form, {'attr': {'novalidate': 'novalidate'}}) }}
    {{ form_errors(form) }}
    {% set nchild = 0 %}
    {% for proposal in votation.referedProposals %}
        <div class="col-sm-12"><hr></div>
        {% set description = votation.title|striptags|slice(0,150) %}
        <div class="col-sm-12 defTitle">
            {% set description = proposal.title|striptags|slice(0,150) %}
            <div class="description">{{ description|raw }} {% if description | length > 149 %}...{% endif %}
                {{ form_widget(form.supervisedVotationSubs.children[nchild]) }}
            </div>
        </div>
        {% set nchild = nchild + 1 %}
    {% endfor %}
        {#{{ form_row(form.supervisedVotationSubs) }}#}
    <div class="form-group clearfix">
        <div class="col-sm-12 text-center">
            {{ form_widget(form.submit) }}
            {#<button type="submit" id="votation_object_submit" name="votation_object[submit]" class="btn-default btn"><i class="fa fa-hand-o-up"></i> Voter</button>#}
            <a type="button" href="{{ path('votation_do', {"id": votation.id}) }}" title="Remttre les votes à 0" class="btn btn-primary btn-green"><i class="fa fa-refresh"></i> Réinitialiser</a>
            <a type="button" class="btn btn-primary" href="{{ path('votation_view', {'id': votation.id}) }}"><i class="fa fa-times"></i> Annuler
            </a>
        </div>
    </div>
    {{form_widget(form._token)}}
    {{ form_end(form, {'render_rest': false}) }}
</div>